<?xml version="1.0" encoding="ISO-8859-1"?>

<!--
// *** Copyright (c)2002 Jim Massey. All rights reserved  ***********
// *** massey@stlouis-shopper.com ************
// *** No Warranty - certified to work with nothing ***
// *** developed to work with mozilla kiosk **** 
-->

<?xml-stylesheet href="chrome://kiosk/content/VKeyboard/skin/VKeyboard.css" type="text/css"?>

<!DOCTYPE window [
<!ENTITY % kioskDTD SYSTEM "chrome://kiosk/locale/kiosk.dtd">
%kioskDTD;
<!ENTITY % bindingsDTD SYSTEM "chrome://kiosk/locale/bindings.dtd">
%bindingsDTD;
<!ENTITY % VKeyboardDTD SYSTEM "chrome://kiosk/content/VKeyboard/locale/VKeyboard.dtd">
%VKeyboardDTD;
]>


<overlay id="VKeyboardOverlay"

	xmlns:html="http://www.w3.org/TR/REC-html40"
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul">

<window id="main-window">

<script type="&kbd.script1.type;" src="&kbd.script1.src;" />

<toolbox id="&kbd.Toolbox.id;">
  <toolbar id="&kbd.Toolbar1.id;" grippytooltiptext="&kbd.Toolbar1.grippytip;"
	UPgrippytooltiptext="&kbd.Toolbar1.UPgrippytip;" 
	Collapsable="&kbd.Toolbar1.Collapsable;">
   <vbox id="&kbd.Toolbar1.vbox.id;">
     <hbox>
	<button id="&kbd.key1.id;" class="&kbd.key1.class;" 
	    label="&kbd.key1.label;" oncommand="&kbd.key1.command;"/>
	<button id="&kbd.key2.id;" class="&kbd.key2.class;" 
	    label="&kbd.key2.label;" oncommand="&kbd.key2.command;"/>
	<button id="&kbd.key3.id;" class="&kbd.key3.class;" 
	    label="&kbd.key3.label;" oncommand="&kbd.key3.command;"/>
	<button id="&kbd.key4.id;" class="&kbd.key4.class;" 
	    label="&kbd.key4.label;" oncommand="&kbd.key4.command;"/>
	<button id="&kbd.key5.id;" class="&kbd.key5.class;" 
	    label="&kbd.key5.label;" oncommand="&kbd.key5.command;"/>
	<button id="&kbd.key6.id;" class="&kbd.key6.class;" 
	    label="&kbd.key6.label;" oncommand="&kbd.key6.command;"/>
	<button id="&kbd.key7.id;" class="&kbd.key7.class;" 
	    label="&kbd.key7.label;" oncommand="&kbd.key7.command;"/>
	<button id="&kbd.key8.id;" class="&kbd.key8.class;" 
	    label="&kbd.key8.label;" oncommand="&kbd.key8.command;"/>
	<button id="&kbd.key9.id;" class="&kbd.key9.class;" 
	    label="&kbd.key9.label;" oncommand="&kbd.key9.command;"/>
	<button id="&kbd.key10.id;" class="&kbd.key10.class;" 
	    label="&kbd.key10.label;" oncommand="&kbd.key10.command;"/>
	<button id="&kbd.key11.id;" class="&kbd.key11.class;" 
	    label="&kbd.key11.label;" oncommand="&kbd.key11.command;"/>
	<button id="&kbd.key12.id;" class="&kbd.key12.class;" 
	    label="&kbd.key12.label;" oncommand="&kbd.key12.command;"/>
	<button id="&kbd.key13.id;" class="&kbd.key13.class;" 
	    label="&kbd.key13.label;" oncommand="&kbd.key13.command;"/>
	<button id="&kbd.key14.id;" class="&kbd.key14.class;" 
	    label="&kbd.key14.label;" oncommand="&kbd.key14.command;"
	    tooltiptext="&kbd.key14.tooltip;"/>

    </hbox>
    <hbox>
	 <button id="&kbd.key15.id;" class="&kbd.key15.class;" 
	    label="&kbd.key15.label;" oncommand="&kbd.key15.command;"/>
	<button id="&kbd.key16.id;" class="&kbd.key16.class;" 
	    label="&kbd.key16.label;" oncommand="&kbd.key16.command;"/>
	<button id="&kbd.key17.id;" class="&kbd.key17.class;" 
	    label="&kbd.key17.label;" oncommand="&kbd.key17.command;"/>
	<button id="&kbd.key18.id;" class="&kbd.key18.class;" 
	    label="&kbd.key18.label;" oncommand="&kbd.key18.command;"/>
	<button id="&kbd.key19.id;" class="&kbd.key19.class;" 
	    label="&kbd.key19.label;" oncommand="&kbd.key19.command;"/>
	<button id="&kbd.key20.id;" class="&kbd.key20.class;" 
	    label="&kbd.key20.label;" oncommand="&kbd.key20.command;"/>
	<button id="&kbd.key21.id;" class="&kbd.key21.class;" 
	    label="&kbd.key21.label;" oncommand="&kbd.key21.command;"/>
	<button id="&kbd.key22.id;" class="&kbd.key22.class;" 
	    label="&kbd.key22.label;" oncommand="&kbd.key22.command;"/>
	<button id="&kbd.key23.id;" class="&kbd.key23.class;"
	        label="&kbd.key23.label;" oncommand="&kbd.key23.command;"/>

	<button id="&kbd.key24.id;" class="&kbd.key24.class;" 
	    label="&kbd.key24.label;" oncommand="&kbd.key24.command;"/>
	<button id="&kbd.key25.id;" class="&kbd.key25.class;" 
	    label="&kbd.key25.label;" oncommand="&kbd.key25.command;"/>
	<button id="&kbd.key26.id;" class="&kbd.key26.class;" 
	    label="&kbd.key26.label;" oncommand="&kbd.key26.command;"/>
    </hbox>
    <hbox>	
	<button id="&kbd.key27.id;" class="&kbd.key27.class;" 
	    label="&kbd.key27.label;" oncommand="&kbd.key27.command;"/>
	<button id="&kbd.key28.id;" class="&kbd.key28.class;" 
	    label="&kbd.key28.label;" oncommand="&kbd.key28.command;"/>
	<button id="&kbd.key29.id;" class="&kbd.key29.class;" 
	    label="&kbd.key29.label;" oncommand="&kbd.key29.command;"/>
	<button id="&kbd.key30.id;" class="&kbd.key30.class;" 
	    label="&kbd.key30.label;" oncommand="&kbd.key30.command;"/>
	<button id="&kbd.key31.id;" class="&kbd.key31.class;" 
	    label="&kbd.key31.label;" oncommand="&kbd.key31.command;"/>
	<button id="&kbd.key32.id;" class="&kbd.key32.class;" 
	    label="&kbd.key32.label;" oncommand="&kbd.key32.command;"/>
	<button id="&kbd.key33.id;" class="&kbd.key33.class;" 
	    label="&kbd.key33.label;" oncommand="&kbd.key33.command;"/>
	<button id="&kbd.key34.id;" class="&kbd.key34.class;" 
	    label="&kbd.key34.label;" oncommand="&kbd.key34.command;"/>
	<button id="&kbd.key35.id;" class="&kbd.key35.class;" 
	    label="&kbd.key35.label;" oncommand="&kbd.key35.command;"/>
	<button id="&kbd.key36.id;" class="&kbd.key36.class;" 
	    label="&kbd.key36.label;" oncommand="&kbd.key36.command;"/>
	<button id="&kbd.key37.id;" class="&kbd.key37.class;" 
	    label="&kbd.key37.label;" oncommand="&kbd.key37.command;"/>
	<button id="&kbd.key38.id;" class="&kbd.key38.class;" 
	    label="&kbd.key38.label;" oncommand="&kbd.key38.command;"
	    tooltiptext="&kbd.key38.tooltip;"/>

    </hbox>
   </vbox>
     <toolbar id="&kbd.Toolbar2.id;" class="&kbd.Toolbar2.class;"
	         grippytooltiptext="&kbd.Toolbar2.grippytip;"
	         UPgrippytooltiptext="&kbd.Toolbar2.UPgrippytip;"
		 Collapsable="&kbd.Toolbar2.Collapsable;">
     <vbox id="&kbd.Toolbar2.vbox.id;">
       <hbox>
	<button id="&kbd.num1.id;" class="&kbd.num1.class;"
	        label="&kbd.num1.label;" oncommand="&kbd.num1.command;" />
	<button id="&kbd.num2.id;" class="&kbd.num2.class;"
	        label="&kbd.num2.label;" oncommand="&kbd.num2.command;" />
	<button id="&kbd.num3.id;" class="&kbd.num3.class;"
	        label="&kbd.num3.label;" oncommand="&kbd.num3.command;" />
	<button id="&kbd.num4.id;" class="&kbd.num4.class;"
	        label="&kbd.num4.label;" oncommand="&kbd.num4.command;" />
      </hbox>
       <hbox>
	<button id="&kbd.num5.id;" class="&kbd.num5.class;"
	        label="&kbd.num5.label;" oncommand="&kbd.num5.command;" />
	<button id="&kbd.num6.id;" class="&kbd.num6.class;"
	        label="&kbd.num6.label;" oncommand="&kbd.num6.command;" />
	<button id="&kbd.num7.id;" class="&kbd.num7.class;"
	        label="&kbd.num7.label;" oncommand="&kbd.num7.command;" />
	<button id="&kbd.num8.id;" class="&kbd.num8.class;"
	        label="&kbd.num8.label;" oncommand="&kbd.num8.command;" />
      </hbox>
       <hbox>
	<button id="&kbd.num9.id;" class="&kbd.num9.class;"
	        label="&kbd.num9.label;" oncommand="&kbd.num9.command;" />
	<button id="&kbd.num10.id;" class="&kbd.num10.class;"
	        label="&kbd.num10.label;" oncommand="&kbd.num10.command;" />
	<button id="&kbd.num11.id;" class="&kbd.num11.class;"
	        label="&kbd.num11.label;" oncommand="&kbd.num11.command;" />
	<button id="&kbd.num12.id;" class="&kbd.num12.class;"
	        label="&kbd.num12.label;" oncommand="&kbd.num12.command;" />
      </hbox>
   </vbox>
   </toolbar>
   <toolbar id="&kbd.Toolbar3.id;" class="&kbd.Toolbar3.class;"
	   grippytooltiptext="&kbd.Toolbar3.grippytip;"
            UPgrippytooltiptext="&kbd.Toolbar3.UPgrippytip;"
	    Collapsable="&kbd.Toolbar3.Collapsable;">
      <vbox id="&kbd.Toolbar3.vbox.id;">
      <hbox>
	<button id="&kbd.spec1.id;" class="&kbd.spec1.class;"
	      label="&kbd.spec1.label;" oncommand="&kbd.spec1.command;"/>
	<button id="&kbd.spec2.id;" class="&kbd.spec2.class;"
	      label="&kbd.spec2.label;" oncommand="&kbd.spec2.command;"/>
	<button id="&kbd.spec3.id;" class="&kbd.spec3.class;"
	      label="&kbd.spec3.label;" oncommand="&kbd.spec3.command;"/>
	<button id="&kbd.spec4.id;" class="&kbd.spec4.class;"
	      label="&kbd.spec4.label;" oncommand="&kbd.spec4.command;"/>
      </hbox>
      <hbox>	
	<button id="&kbd.spec5.id;" class="&kbd.spec5.class;"
	      label="&kbd.spec5.label;" oncommand="&kbd.spec5.command;"/>

	<button id="&kbd.spec6.id;" class="&kbd.spec6.class;"
	      label="&kbd.spec6.label;" oncommand="&kbd.spec6.command;"/>

	<button id="&kbd.spec7.id;" class="&kbd.spec7.class;"
	      label="&kbd.spec7.label;" oncommand="&kbd.spec7.command;"/>
	<button id="&kbd.spec8.id;" class="&kbd.spec8.class;"
	      label="&kbd.spec8.label;" oncommand="&kbd.spec8.command;"/>
      </hbox>
      <hbox>
	<button id="&kbd.spec9.id;" class="&kbd.spec9.class;"
	      label="&kbd.spec9.label;" oncommand="&kbd.spec9.command;"/>
	<button id="&kbd.spec10.id;" class="&kbd.spec10.class;"
	      label="&kbd.spec10.label;" oncommand="&kbd.spec10.command;"/>
	<button id="&kbd.spec11.id;" class="&kbd.spec11.class;"
	      label="&kbd.spec11.label;" oncommand="&kbd.spec11.command;"/>
	<button id="&kbd.spec12.id;" class="&kbd.spec12.class;"
	      label="&kbd.spec12.label;" oncommand="&kbd.spec12.command;"/>
      </hbox>
    </vbox>
  </toolbar>
  </toolbar>
  </toolbox>
</window>

</overlay>